package com.sharix.sportsmanfriend;

import android.content.Context;

import org.osmdroid.api.IGeoPoint;
import org.osmdroid.api.IMapController;
import org.osmdroid.tileprovider.tilesource.TileSourceFactory;
import org.osmdroid.util.GeoPoint;
import org.osmdroid.views.MapView;
import org.osmdroid.views.overlay.Marker;

public class MapHelperClass {

    public static void configureMap(Context context, MapView inMap, double latitude, double longitude, int zoom) {
        inMap.setTileSource(TileSourceFactory.DEFAULT_TILE_SOURCE);
        inMap.setMultiTouchControls(true);
        inMap.setMaxZoomLevel(18.0);

        IMapController mapController = inMap.getController();
        mapController.setZoom(zoom);
        GeoPoint startPoint = new GeoPoint(latitude, longitude);
        mapController.setCenter(startPoint);

        Marker startMarker = new Marker(inMap);
        startMarker.setPosition(startPoint);
        startMarker.setAnchor(Marker.ANCHOR_CENTER, Marker.ANCHOR_BOTTOM);
        inMap.getOverlays().add(startMarker);

        startMarker.setIcon(context.getResources().getDrawable(R.drawable.ic_camera));
        startMarker.setTitle("Start point");

        inMap.setBuiltInZoomControls(false);
    }

    public static void ZoomIn(MapView inMap){
        if (inMap.canZoomIn()) {
            inMap.getController().zoomIn();
        }
    }

    public static void ZoomOut(MapView inMap){
        if (inMap.canZoomOut()) {
            inMap.getController().zoomOut();
        }
    }

    public static void SetCenterOfMap(MapView inMap, double latitude, double longitude){
        inMap.getController().setCenter(new GeoPoint(latitude, longitude));
    }

    public static void SetZoomOfMap(MapView inMap, int zoom){
        inMap.getController().setZoom(zoom);
    }

    public static IGeoPoint GetMapCenter(MapView inMap){
        return inMap.getMapCenter();
    }

    public static int GetMapZoom(MapView inMap){
        return inMap.getZoomLevel();
    }
}
