package com.sharix.sportsmanfriend.view.fragments;

import android.os.Bundle;

import androidx.fragment.app.Fragment;
import androidx.fragment.app.FragmentManager;
import androidx.fragment.app.FragmentTransaction;

import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.LinearLayout;

import com.sharix.sportsmanfriend.OnBackPressedListener;
import com.sharix.sportsmanfriend.R;

public class EventListFragment extends Fragment implements OnBackPressedListener {

    private LinearLayout btnOpenEventMap, OpenEventCard;

    @Override
    public View onCreateView(LayoutInflater inflater, ViewGroup container,
                             Bundle savedInstanceState) {
        View view = inflater.inflate(R.layout.fragment_event_list, container, false);

        btnOpenEventMap = view.findViewById(R.id.btnOpenEventMap);
        OpenEventCard = view.findViewById(R.id.event);

        addClickEventToAllViews();

        return view;
    }

    private void addClickEventToAllViews() {

        btnOpenEventMap.setOnClickListener(v -> {
            onBackPressed();
        });

        OpenEventCard.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                FragmentManager fragmentManager = requireActivity().getSupportFragmentManager();
                FragmentTransaction fragmentTransaction = fragmentManager.beginTransaction();
                AboutEvent myFragment = new AboutEvent();
                fragmentTransaction.replace(R.id.frameWindow, myFragment);
                fragmentTransaction.addToBackStack(null);
                fragmentTransaction.commit();
            }
        });
    }

    @Override
    public void onBackPressed() {
        requireActivity().getSupportFragmentManager().popBackStack();
    }
}